Bug 907915 - libreplace.so => not found
Summary: libreplace.so => not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: samba4
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Schneider
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 911264
TreeView+ depends on / blocked
 
Reported: 2013-02-05 14:20 UTC by Nicolas Mailhot
Modified: 2013-02-24 08:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 911264 (view as bug list)
Environment:
Last Closed: 2013-02-24 08:53:22 UTC


Attachments (Terms of Use)

Description Nicolas Mailhot 2013-02-05 14:20:52 UTC
# ldd /usr/lib64/samba/libcmdline-credentials.so |grep 'not found'
	libreplace.so => not found

[root@arekh nim]# rpm -qa samba*
samba-libs-4.0.1-1.fc19.x86_64
samba-4.0.1-1.fc19.x86_64
samba-common-4.0.1-1.fc19.x86_64
samba-client-4.0.1-1.fc19.x86_64

Comment 1 Andreas Schneider 2013-02-07 16:50:33 UTC
asn@krikkit:~> rpm -q --provides -p samba-libs-4.0.3-1.fc19.x86_64.rpm | grep 'libcmdline-credentials'
libcmdline-credentials.so()(64bit)
libcmdline-credentials.so(SAMBA_4.0.3)(64bit)
asn@krikkit:~> rpm -q --provides -p samba-libs-4.0.3-1.fc19.x86_64.rpm | grep 'libreplace'
libreplace.so()(64bit)
libreplace.so(SAMBA_4.0.3)(64bit)

I can see both libraries in the same package ...

Comment 2 Andreas Schneider 2013-02-07 16:51:42 UTC
I don't see any problems in the latest build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4936482

Can you confirm?

Comment 3 Nicolas Mailhot 2013-02-08 18:48:47 UTC
# rpm -q samba-libs
samba-libs-4.0.3-1.fc19.x86_64
# rpm -V samba-libs
# ldd /usr/lib64/samba/libcmdline-credentials.so |grep 'not found'
	libreplace.so => not found
# /sbin/ldconfig 
# ldd /usr/lib64/samba/libcmdline-credentials.so |grep 'not found'
	libreplace.so => not found
# rpm -q --provides samba-libs | grep 'libreplace'
libreplace.so()(64bit)
libreplace.so(SAMBA_4.0.3)(64bit)
# ls  /usr/lib64/samba/libreplace.so  -l
-rwxr-xr-x. 1 root root 13952  7 févr. 16:37 /usr/lib64/samba/libreplace.so

maybe the package is not telling the system to look in /usr/lib64/samba/ ?

Comment 4 Andreas Schneider 2013-02-14 11:46:18 UTC
There is a explicit dependency missing in 4.0. I've fixed it and a new build is on the way. Thanks for the bug report!

Comment 5 Fedora Update System 2013-02-14 14:59:22 UTC
samba-4.0.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/samba-4.0.3-2.fc18

Comment 6 Fedora Update System 2013-02-15 04:53:42 UTC
Package samba-4.0.3-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing samba-4.0.3-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2460/samba-4.0.3-2.fc18
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-02-24 08:53:26 UTC
samba-4.0.3-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.